import {ctor} from "../global";
import {initMongoDB} from "../setMongodb";

async function start() {
    await initMongoDB()

    // 刷新活动配置
    console.log(`修复玩家model数据开始...`);


    await G.mongodb.collection("user").updateMany({},{
        $set:{
            upModel:{id: "1", time: -1},
            model: {
                '1': {id: "1", time: -1},
                '2': {id: "2", time: -1}
            }
        }
    })

    console.log(`修复玩家model数据完成...`);
}

ctor();
start().then(() => {
    let s = 0;
    setInterval(() => {
        s += 1;
        console.log(new Date().format("MM-dd hh:mm:ss"));
        if (s >= 3) process.exit(1);
    }, 1000)
    console.log("逻辑执行完成...等待退出！！！");
});


